## python-ase 3.21.1

=== ase/gui/po/Makefile ===
# This makefile is used to update templates for internationalization ("i18n")
# of ase-gui.

# INSTRUCTIONS
# ------------
#
# To update existing templates with strings from the latest python files,
# just run 'make'.
#
# To create a translation template for a new language (e.g. de_DE.UTF8), run:
#     LANG=de_DE.UTF8 make init
#
# After writing translations, you need to run 'make' again to generate the
# binary translation files loaded by the programme.
#
# Then you can run 'LANG=de_DE.UTF8 ase-gui' and your translations should be
# visible if you have a developer installation.
#
# For distutils installation, the po-files are globbed from setup.py so
# they are automatically included when you run install.

# List of files calling gettext.
TRANSLATIONFILES=../add.py ../celleditor.py ../colors.py ../constraints.py ../graphene.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py

#TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphene.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
#TRANSLATIONFILES=../*.py

i18n: ag.pot update-po compile

# This will update the English template (ag.pot) with English messages from
# the Python source code.
ag.pot: ${TRANSLATIONFILES}
	xgettext --from-code=utf-8 --add-comments --language=Python --keyword=_ --output=ag.pot --msgid-bugs-address=ase-users@listserv.fysik.dtu.dk --copyright-holder="ASE developers" --package-name=ase ${TRANSLATIONFILES}

# This will create an empty translation file ($LANG.po, where $LANG is
# an environment variable) from the English template ag.pot.
# The po-file header will have to be edited afterwards.
init: ag.pot
	mkdir -p ${LANG}/LC_MESSAGES
	msginit --locale=${LANG} --input=ag.pot --output-file=${LANG}/LC_MESSAGES/ag.po

# This will merge new/changed English strings from the template ag.pot
# into all existing translations (*.po), maximally
# reusing the existing translations.
update-po: ag.pot
	for FILE in $(wildcard */LC_MESSAGES/ag.po); do \
	  msgmerge --previous --update $$FILE ag.pot ;\
	done

# This will compile all translations (*.po) into binary files in gettext's
# search directory.
compile: */LC_MESSAGES/ag.po
	for DIR in $(wildcard */LC_MESSAGES); do \
	  echo Checking $$DIR/ag.po ;\
	  msgfmt -cv --output-file=$$DIR/ag.mo $$DIR/ag.po ;\
	done

gitrevert:
	git checkout -- '*/LC_MESSAGES/ag.po'

clean:
	rm -f ./*/LC_MESSAGES/ag.mo
	rm -f ./*/LC_MESSAGES/ag.po~

=== debian/changelog ===
python-ase (3.21.1-2) unstable; urgency=medium

  * Increasing tolerance in one of the tests as arm64 and ppc64el return
    slightly larger values.

 -- Andrius Merkys <merkys@debian.org>  Fri, 29 Jan 2021 01:22:20 -0500

python-ase (3.21.1-1) unstable; urgency=medium

  * New upstream version 3.21.1
  * Refreshing patches.
  * Refreshing copyright years.
  * Adding missing test dependency on python3-pytest-mock.
  * Adding missing build dependency on povray-includes.
  * Setting $TERM variable in debian/rules to enable runtime tests.

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Jan 2021 11:56:11 -0500

python-ase (3.20.1-2) unstable; urgency=medium

  * Disabling pytest cache usage (Closes: #979294).

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Jan 2021 02:23:27 -0500

=== debian/control ===
Source: python-ase
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Ask Hjorth Larsen <asklarsen@gmail.com>,
           Graham Inggs <ginggs@debian.org>,
           Andrius Merkys <merkys@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               help2man,
               povray,
               povray-includes,
               python3-all,
               python3-matplotlib,
               python3-netcdf4,
               python3-numpy,
               python3-pycodcif <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tk <!nocheck>
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
Vcs-Git: https://salsa.debian.org/debichem-team/python-ase.git
Homepage: https://wiki.fysik.dtu.dk/ase/

Package: ase
Architecture: all
Depends: python3-ase (= ${binary:Version}),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-ase-doc
Description: Atomic Simulation Environment
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 This package provides the executable scripts.

Package: python3-ase
Architecture: all
Section: python
Depends: fonts-font-awesome,
         libjs-bootstrap,
         libjs-jquery,
         libjs-jquery-ui,
         python3-numpy,
         python3-scipy,
         python3-spglib,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-matplotlib,
            python3-tk
Breaks: gpaw (<< 1.4.0~)
Suggests: python-ase-doc,
          python3-netcdf4,
          python3-pycodcif
Description: Atomic Simulation Environment (Python 3)
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 This package provides the Python 3 modules.

Package: python-ase-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Atomic Simulation Environment (common documentation)
 ASE is an Atomic Simulation Environment written in the Python programming
 language with the aim of setting up, stearing, and analyzing atomic
 simulations.  ASE is part of CAMPOS, the CAMP Open Source project.
 .
 ASE contains Python interfaces to several different electronic structure
 codes including Abinit, Asap, Dacapo, Elk, GPAW and SIESTA.
 .
 This package provides the common documentation package.

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do cd "$ADTTMP"; $py -m ase test; done
Depends:
 ase,
 python3-all,
 python3-ase,
 python3-netcdf4,
 python3-pycodcif,
 python3-pytest,
 python3-pytest-mock,
 python3-tk,
Restrictions: allow-stderr

## python-ase 3.22.1

=== ase/calculators/kim/requirements.txt ===
kimpy>=0.3.2

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -16,13 +16,13 @@
 # Then you can run 'LANG=de_DE.UTF8 ase-gui' and your translations should be
 # visible if you have a developer installation.
 #
-# For distutils installation, the po-files are globbed from setup.py so
+# During build, the po-files are globbed from setup.py so
 # they are automatically included when you run install.
 
 # List of files calling gettext.
-TRANSLATIONFILES=../add.py ../celleditor.py ../colors.py ../constraints.py ../graphene.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
+TRANSLATIONFILES=../add.py ../celleditor.py ../colors.py ../constraints.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
 
-#TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphene.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
+#TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
 #TRANSLATIONFILES=../*.py
 
 i18n: ag.pot update-po compile

=== debian/changelog ===
python-ase (3.22.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Remove constraints unnecessary since buster

  [ Andrius Merkys ]
  * Add a patch to fix compatibility with Python 3.11 (Closes: #1023972).
    Thanks Simon McVittie.
  * Restore compatibility of tests (Closes: #1026207)
  * Describe patches.
  * Bump copyright years.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Adjust dependencies and environment needed to build documentation.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Jan 2023 09:43:57 -0500

python-ase (3.22.1-2) unstable; urgency=medium

  * Fix test failure due to the usage of deprecated scipy API
    (Closes: #1013085).
  * Adapt to pytest7 (Closes: #1013714).

 -- Andrius Merkys <merkys@debian.org>  Fri, 15 Jul 2022 02:22:52 -0400

python-ase (3.22.1-1) unstable; urgency=medium

  * New upstream version 3.22.1 (Closes: #999531)
  * Add upstream patch to fix failing tests on arm64/ppc64el (Closes: #994785)
  * Removing unused paragraph from debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Wed, 01 Dec 2021 09:55:43 -0500

python-ase (3.22.0-1) unstable; urgency=medium

  * New upstream version 3.22.0
  * Refreshing patches.

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Aug 2021 01:53:06 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Andrius Merkys <merkys@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
                help2man,
@@ -22,8 +22,9 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-tk <!nocheck>
-Standards-Version: 4.4.0
+               python3-tk <!nocheck>,
+               texlive-latex-base <!nodoc>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
 Vcs-Git: https://salsa.debian.org/debichem-team/python-ase.git
@@ -60,7 +61,6 @@
          ${python3:Depends}
 Recommends: python3-matplotlib,
             python3-tk
-Breaks: gpaw (<< 1.4.0~)
 Suggests: python-ase-doc,
           python3-netcdf4,
           python3-pycodcif

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=ase

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase test" \
		PATH=$(CURDIR)/bin:$$PATH \
		LC_ALL=C.UTF-8 \
		TERM=linux \
		dh_auto_test

override_dh_auto_install:
	dh_auto_install

	# Move /usr/bin/ase from python3-ase to ase, drop all other scripts
	mkdir -p $(CURDIR)/debian/ase/usr/bin/
	mv $(CURDIR)/debian/python3-ase/usr/bin/ase $(CURDIR)/debian/ase/usr/bin/
	rm -f $(CURDIR)/debian/python3-ase/usr/bin/*

	# Fix privacy breach
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<script.*jquery-[0-9].*\.js.*<\/script>/<script src=\"{{ url_for('static', filename='jquery.min.js') }}\"><\/script>/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<script.*jquery-ui\..*js.*<\/script>/<script src=\"{{ url_for('static', filename='jquery-ui.min.js') }}\"><\/script>/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<script.*bootstrap\..*js.*<\/script>/<script src=\"{{ url_for('static', filename='bootstrap.min.js') }}\"><\/script>/g" '{}' \;

	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*bootstrap\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='bootstrap.min.css') }}\">/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*bootstrap-theme\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='bootstrap-theme.min.css') }}\">/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*jquery-ui\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='jquery-ui.min.css') }}\">/g" '{}' \;
	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
		sed -i -e "s/<link.*font-awesome\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='font-awesome.min.css') }}\">/g" '{}' \;

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PATH=$(CURDIR)/bin:$${PATH} PYTHONPATH=$(CURDIR)/doc:$(CURDIR) python3 -m sphinx -b html doc debian/python-ase-doc/usr/share/doc/python-ase-doc/html
	dh_sphinxdoc
	find $(CURDIR)/debian/python-ase-doc -name '*.html' -exec \
		sed -i -e "s/https:.*mathjax.*\.js/file:\/\/\/usr\/share\/javascript\/mathjax\/MathJax.js/g" '{}' \;
endif

override_dh_python3:
	dh_python3
	# Remove .pytest_cache
	rm -rf $(CURDIR)/debian/python3-ase/usr/lib/python3/dist-packages/ase/test/.pytest_cache

override_dh_installman:
	PYTHONPATH=$(CURDIR) \
		help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
		bin/ase -o $(CURDIR)/debian/ase.1
	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/ase.1
	dh_installman

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: for py in $(py3versions -s); do cd "$ADTTMP"; $py -m ase test; done
+Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; $py -m ase test; done
 Depends:
  ase,
  python3-all,

## python-ase 3.23.0

=== debian/changelog ===
python-ase (3.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #1075834.
    - applies or deprecates debian patches
      2582.patch
      2629.patch
      disable-cacheprovider.patch
      fix-importlib.util.patch
      fix-test-infrastructure.patch
      increase-test-tolerance.patch
      matplotlib-3.6.patch
      no-importlib.find_loader.patch
      pytest.warns-none.patch
      python-3.11.patch
      scipy1.8.patch
      sphinx5.0.patch
    - debian/copyright: ase/io/fortranfile.py no longer shipped
  * debian patch test_espresso_skip_no_error_raised.patch drops
    expectation of raised error in test_espresso.py. See upstream
    Issue#1461. Closes: #1077733.
  * skip test_versionnumber in build tests. The new version being
    built may not match the existing system version detected by
    importlib.metadata.version.
  * stop skipping lammps-write test in debian patch
    skip-failing-tests.patch
  * update generated doc files in debian/clean
  * after dh_install, remove .gitignore from ase/gui/po/
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Aug 2024 12:56:34 +0200

python-ase (3.22.1-6) unstable; urgency=medium

  * Run autopkgtest for all supported Python versions.

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Jul 2024 05:18:37 -0400

python-ase (3.22.1-5) unstable; urgency=medium

  [ Timo Röhling ]
  * Avoid FTBFS with pytest 8+ (Closes: #1071225)

 -- Graham Inggs <ginggs@debian.org>  Sun, 19 May 2024 11:01:13 +0000

python-ase (3.22.1-4) unstable; urgency=medium

  [ Andrius Merkys ]
  * Add forward information for recently introduced patches.

  [ Graham Inggs ]
  * Cherry-pick upstream commit for Sphinx 5.0 compatibility
    (Closes: #1056184)
  * Cherry-pick upstream commits for Python 3.12 compatibility
  * Ignore DeprecationWarnings during tests to avoid FTBFS
  * Only run autopkgtest against the default Python version since
    spglib stopped building for all supported versions, see #1057858

 -- Graham Inggs <ginggs@debian.org>  Sun, 07 Jan 2024 11:23:38 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                python3-sphinx-rtd-theme,
                python3-tk <!nocheck>,
                texlive-latex-base <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
 Vcs-Git: https://salsa.debian.org/debichem-team/python-ase.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase test" \
+		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase test --pytest -k 'not test_versionnumber'" \
 		PATH=$(CURDIR)/bin:$$PATH \
 		LC_ALL=C.UTF-8 \
 		TERM=linux \
@@ -48,6 +48,9 @@
 		sed -i -e "s/https:.*mathjax.*\.js/file:\/\/\/usr\/share\/javascript\/mathjax\/MathJax.js/g" '{}' \;
 endif
 
+execute_after_dh_install:
+	rm -f debian/python3-ase/usr/lib/python3/dist-packages/ase/gui/po/.gitignore
+
 override_dh_python3:
 	dh_python3
 	# Remove .pytest_cache

## python-ase 3.24.0

=== debian/changelog ===
python-ase (3.24.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083598)
  * Fix compatibility with Numpy 2.x (Closes: #1094768)

  [ Drew Parsons ]
  * New upstream release
    - supports Numpy 2
    - deprecates debian patch ignore-DeprecationWarnings.patch
  * Build-Depends: pybuild-plugin-pyproject
  * drop debian patch test_espresso_skip_no_error_raised.patch,
    need to handle raised errors
  * add debian patches
    - re_maxsplit.patch applies maxsplit by name in re.split
      (positional argument deprecated in Python 3.13)
    - doc_intersphinx.patch links intersphinx to local python3 docs
      Build-Depends: python3-doc <!nodoc>
  * build docs with MPLBACKEND=Agg to avoid accessing Tk, which breaks
    when not launched from the main thread.
  * after dh_install: remove .gitignore from gui/po in any python3* dir
    (only reduced to general python3 later with dh_python3)
  * debian/tests: deactivate cacheprovider, since upstream embedded their
    tests with the installed module (can't cache in /usr/lib)

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Mar 2025 04:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
+               pybuild-plugin-pyproject,
                help2man,
                povray,
                povray-includes,
@@ -23,7 +24,8 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tk <!nocheck>,
-               texlive-latex-base <!nodoc>
+               texlive-latex-base <!nodoc>,
+               python3-doc <!nodoc>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-ase
@@ -33,7 +35,6 @@
 Package: ase
 Architecture: all
 Depends: python3-ase (= ${binary:Version}),
-         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-ase-doc

=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,14 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PATH=$(CURDIR)/bin:$${PATH} PYTHONPATH=$(CURDIR)/doc:$(CURDIR) python3 -m sphinx -b html doc debian/python-ase-doc/usr/share/doc/python-ase-doc/html
+	PATH=$(CURDIR)/bin:$${PATH} PYTHONPATH=$(CURDIR)/doc:$(CURDIR) MPLBACKEND=Agg python3 -m sphinx -b html doc debian/python-ase-doc/usr/share/doc/python-ase-doc/html
 	dh_sphinxdoc
 	find $(CURDIR)/debian/python-ase-doc -name '*.html' -exec \
 		sed -i -e "s/https:.*mathjax.*\.js/file:\/\/\/usr\/share\/javascript\/mathjax\/MathJax.js/g" '{}' \;
 endif
 
 execute_after_dh_install:
-	rm -f debian/python3-ase/usr/lib/python3/dist-packages/ase/gui/po/.gitignore
+	rm -f debian/python3-ase/usr/lib/python3*/dist-packages/ase/gui/po/.gitignore
 
 override_dh_python3:
 	dh_python3

## python-ase 3.26.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help doctest clean inspect html latex linkcheck browse

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/html

help:
	@echo "Use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  doctest    to test code examples"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  clean      to clean up"
	@echo "  inspect    to check generated images and other stuff"
	@echo "  browse     to open browser"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

clean:
	rm -rf $(BUILDDIR)/*
	python3 -m ase.utils.sphinx clean

inspect:
	python3 -m ase.utils.sphinx inspect

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

browse:
	firefox build/html/index.html

=== ase/calculators/kim/requirements.txt ===
kimpy>=2.0.0

=== ase/gui/po/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # they are automatically included when you run install.
 
 # List of files calling gettext.
-TRANSLATIONFILES=../add.py ../celleditor.py ../colors.py ../constraints.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../status.py ../surfaceslab.py ../ui.py ../widgets.py
+TRANSLATIONFILES=../add.py ../celleditor.py ../colors.py ../constraints.py ../graphs.py ../gui.py ../images.py ../modify.py ../movie.py ../nanoparticle.py ../nanotube.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../save.py ../settings.py ../status.py ../surfaceslab.py ../ui.py ../view.py ../widgets.py
 
 #TRANSLATIONFILES=../ag.py ../calculator.py ../colors.py ../constraints.py ../crystal.py ../debug.py ../dft.py ../energyforces.py ../execute.py ../graphs.py ../gtkexcepthook.py ../gui.py ../minimize.py ../movie.py ../nanoparticle.py ../nanotube.py ../progress.py ../pybutton.py ../quickinfo.py ../render.py ../repeat.py ../rotate.py ../scaling.py ../settings.py ../setupwindow.py ../simulation.py ../status.py ../surfaceslab.py ../widgets.py
 #TRANSLATIONFILES=../*.py

=== debian/changelog ===
python-ase (3.26.0-2) unstable; urgency=medium

  * Switch to libjs-bootstrap5 (Closes: #1088485)

 -- Andrius Merkys <merkys@debian.org>  Fri, 17 Oct 2025 06:55:31 -0400

python-ase (3.26.0-1) unstable; urgency=medium

  * New upstream version 3.26.0 (Closes: #1116437)
  * Adapt to the switch from python3-sphinx-rtd-theme to
    python3-sphinx-book-theme.

 -- Andrius Merkys <merkys@debian.org>  Fri, 10 Oct 2025 03:18:56 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-scipy,
                python3-setuptools,
                python3-sphinx,
-               python3-sphinx-rtd-theme,
+               python3-sphinx-book-theme,
                python3-tk <!nocheck>,
                texlive-latex-base <!nodoc>,
                python3-doc <!nodoc>
@@ -52,7 +52,7 @@
 Architecture: all
 Section: python
 Depends: fonts-font-awesome,
-         libjs-bootstrap,
+         libjs-bootstrap5,
          libjs-jquery,
          libjs-jquery-ui,
          python3-numpy,

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-		PYBUILD_TEST_ARGS="cd ase/test; {interpreter} -m ase test --pytest -k 'not test_versionnumber'" \
-		PATH=$(CURDIR)/bin:$$PATH \
+		PYBUILD_TEST_ARGS="cd ase/test; PATH={build_dir}/../scripts:$$PATH {interpreter} -m ase test --pytest -k 'not test_versionnumber'" \
 		LC_ALL=C.UTF-8 \
 		TERM=linux \
 		dh_auto_test
@@ -29,12 +28,10 @@
 	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
 		sed -i -e "s/<script.*jquery-ui\..*js.*<\/script>/<script src=\"{{ url_for('static', filename='jquery-ui.min.js') }}\"><\/script>/g" '{}' \;
 	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
-		sed -i -e "s/<script.*bootstrap\..*js.*<\/script>/<script src=\"{{ url_for('static', filename='bootstrap.min.js') }}\"><\/script>/g" '{}' \;
+		sed -i -e "s/\"http.*\/bootstrap@5\..*\/bootstrap.min.css\"/\"{{ url_for('static', filename='bootstrap.min.css') }}\"/g" '{}' \;
+	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
+		sed -i -e "s/\"http.*\/bootstrap@5\..*\/bootstrap.bundle.min.js\"/\"{{ url_for('static', filename='bootstrap.bundle.min.js') }}\"/g" '{}' \;
 
-	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
-		sed -i -e "s/<link.*bootstrap\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='bootstrap.min.css') }}\">/g" '{}' \;
-	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
-		sed -i -e "s/<link.*bootstrap-theme\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='bootstrap-theme.min.css') }}\">/g" '{}' \;
 	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
 		sed -i -e "s/<link.*jquery-ui\..*css.*>/<link rel="stylesheet" href=\"{{ url_for('static', filename='jquery-ui.min.css') }}\">/g" '{}' \;
 	find $(CURDIR)/debian/python*-ase/usr/lib/python*/dist-packages/ase/db/templates -name '*.html' -exec \
@@ -59,6 +56,6 @@
 override_dh_installman:
 	PYTHONPATH=$(CURDIR) \
 		help2man --version-string $(DEB_VERSION_UPSTREAM) -N -n "ASE command line tool" \
-		bin/ase -o $(CURDIR)/debian/ase.1
+		$(CURDIR)/debian/ase/usr/bin/ase -o $(CURDIR)/debian/ase.1
 	sed -i '/^{/s/,/, /g' $(CURDIR)/debian/ase.1
 	dh_installman

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; $py -m ase test; done
+Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; $py -m ase test --pytest -p no:cacheprovider; done
 Depends:
  ase,
  python3-all,

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/ase/ase/tags?sort=updated_desc \
 /ase/ase/-/archive/[^/]+/ase-@ANY_VERSION@@ARCHIVE_EXT@
